audio/shntool - The NetBSD Packages Collection

Lossless audio compressor wrapper tool

shntool is a multi-purpose WAVE data processing and reporting utility.
File formats are abstracted from its core, so it can process any file
that contains WAVE data, compressed or not - provided there exists a
format module to handle that particular file type.

shntool has native support for .wav files. If you want it to work with
other formats, you must have the appropriate helper program installed.
The "Helper programs" section below contains links to helper programs
for each format that shntool supports.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

audio/shorten audio/flac audio/sox

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfshntool-3.0.10.tgz
NetBSD 8.0earmv7hfshntool-3.0.10.tgz
NetBSD 8.0earmv7hfshntool-3.0.10.tgz
NetBSD 8.0earmv7hfshntool-3.0.10.tgz
NetBSD 8.0i386shntool-3.0.10.tgz
NetBSD 8.0i386shntool-3.0.10.tgz
NetBSD 8.0i386shntool-3.0.10.tgz
NetBSD 8.0powerpcshntool-3.0.10.tgz
NetBSD 8.0powerpcshntool-3.0.10.tgz
NetBSD 8.0powerpcshntool-3.0.10.tgz
NetBSD 8.0x86_64shntool-3.0.10.tgz
NetBSD 8.0x86_64shntool-3.0.10.tgz
NetBSD 8.0x86_64shntool-3.0.10.tgz
NetBSD 9.0aarch64shntool-3.0.10.tgz
NetBSD 9.0aarch64shntool-3.0.10.tgz
NetBSD 9.0aarch64shntool-3.0.10.tgz
NetBSD 9.0aarch64shntool-3.0.10.tgz
NetBSD 9.0alphashntool-3.0.10.tgz
NetBSD 9.0alphashntool-3.0.10.tgz
NetBSD 9.0alphashntool-3.0.10.tgz
NetBSD 9.0earmv6hfshntool-3.0.10.tgz
NetBSD 9.0earmv6hfshntool-3.0.10.tgz
NetBSD 9.0earmv6hfshntool-3.0.10.tgz
NetBSD 9.0earmv6hfshntool-3.0.10.tgz
NetBSD 9.0earmv6hfshntool-3.0.10.tgz
NetBSD 9.0earmv7hfshntool-3.0.10.tgz
NetBSD 9.0earmv7hfshntool-3.0.10.tgz
NetBSD 9.0earmv7hfshntool-3.0.10.tgz
NetBSD 9.0earmv7hfshntool-3.0.10.tgz
NetBSD 9.0earmv7hfshntool-3.0.10.tgz
NetBSD 9.0earmv7hfshntool-3.0.10.tgz
NetBSD 9.0i386shntool-3.0.10.tgz
NetBSD 9.0i386shntool-3.0.10.tgz
NetBSD 9.0i386shntool-3.0.10.tgz
NetBSD 9.0powerpcshntool-3.0.10.tgz
NetBSD 9.0powerpcshntool-3.0.10.tgz
NetBSD 9.0powerpcshntool-3.0.10.tgz
NetBSD 9.0sparc64shntool-3.0.10.tgz
NetBSD 9.0sparc64shntool-3.0.10.tgz
NetBSD 9.0sparc64shntool-3.0.10.tgz
NetBSD 9.0sparcshntool-3.0.10.tgz
NetBSD 9.0sparcshntool-3.0.10.tgz
NetBSD 9.0x86_64shntool-3.0.10.tgz
NetBSD 9.0x86_64shntool-3.0.10.tgz
NetBSD 9.0x86_64shntool-3.0.10.tgz
NetBSD 9.0x86_64shntool-3.0.10.tgz
NetBSD 9.0x86_64shntool-3.0.10.tgz
NetBSD 9.0x86_64shntool-3.0.10.tgz
NetBSD 9.0x86_64shntool-3.0.10.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.